Qt 5.9 | Qt 3D | C++ Classes | QAnimationClipLoader

Qt 5.9.9 Reference Documentation

# QAnimationClipLoader Class

(Qt3DAnimation::QAnimationClipLoader)

Inherits: | Qt3DAnimation::QAbstractAnimationClip

- List of all members, including inherited members

## Public Types

enum | Status { NotReady, Ready, Error }

## Properties

- source : QUrl
- status : const Status

- 1 property inherited from Qt3DAnimation::QAbstractAnimationClip
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QAnimationClipLoader(Qt3DCore::QNode *parent = nullptr)
| QAnimationClipLoader(const QUrl &source, Qt3DCore::QNode *parent = nullptr)
| ~QAnimationClipLoader()
QUrl | source() const
Status | status() const

- 1 public function inherited from Qt3DAnimation::QAbstractAnimationClip
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSource(const QUrl &source)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | sourceChanged(const QUrl &source)
void | statusChanged(Status status)

- 1 signal inherited from Qt3DAnimation::QAbstractAnimationClip
- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAnimationClipLoader(QAnimationClipLoaderPrivate &dd, Qt3DCore::QNode *parent = nullptr)
void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

- 2 protected functions inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QAnimationClipLoader::Status

## Property Documentation

### source : QUrl

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

### status : const Status

Access functions:

Status | status() const

Notifier signal:

void | statusChanged(Status status)

## Member Function Documentation

### QAnimationClipLoader::QAnimationClipLoader(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAnimationClipLoader.

### QAnimationClipLoader::QAnimationClipLoader(const QUrl &source, Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QAnimationClipLoader.

### `[protected]` QAnimationClipLoader::QAnimationClipLoader(QAnimationClipLoaderPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QAnimationClipLoader::~QAnimationClipLoader()

Destroys the instance of QAnimationClipLoader.

### `[protected]` void QAnimationClipLoader::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)